#pragma once
#include <cstdio>
#include <iostream>
#include "dXgtcFrame.h"

HLend::HLend(int16_t _BWmapLength) {
	BWmapLength = _BWmapLength;
	//PloamCount = _PloamCount;
}

AllocStruc::AllocStruc(int16_t _AllocId, uint8_t _Flags, uint16_t _StartTime, uint16_t _GrantSize) {
	AllocId = _AllocId;
	Flags = _Flags;
	StartTime = _StartTime;
	GrantSize = _GrantSize;
	//Fwi = _Fwi;
	//BurstProfile = _BurstProfile;
	//HEC = _HEC;
}

BWmap::BWmap(std::vector<AllocStruc> _allocStrucs) {
	allocStrucs = _allocStrucs;
}

BWmap::BWmap(){}

PloamMess::PloamMess(int16_t _message) {
	message = _message;
}

PloamD::PloamD(std::vector<PloamMess>  _allocStrucs) {
	allocStrucs = _allocStrucs;
}
PloamD::PloamD() {}

DXgtcHeader::DXgtcHeader(HLend &_hLend, std::vector<AllocStruc> _bwmap) {
		hLend = _hLend;
		bwmap = _bwmap;
		//ploamD = _ploamD;
	}
DXgtcHeader::DXgtcHeader() {}

DXgtcFrame::DXgtcFrame(DXgtcHeader _dXgtcHeader, std::vector<Xgem> _naklad) {
	dXgtcHeader = _dXgtcHeader;
	naklad = _naklad;
}
DXgtcFrame::DXgtcFrame() {}